import React from 'react';
import PropTypes from 'prop-types';
import ThumbnailBasic from '@schibstedspain/sui-thumbnail-basic';

var ThumbnailList = function ThumbnailList(_ref) {
  var captionText = _ref.captionText,
      fallback = _ref.fallback,
      _ref$items = _ref.items,
      items = _ref$items === void 0 ? [] : _ref$items,
      _onClick = _ref.onClick,
      placeholder = _ref.placeholder,
      target = _ref.target,
      rounded = _ref.rounded;
  return React.createElement("ul", {
    className: "sui-ThumbnailList"
  }, items.map(function (item, index) {
    return React.createElement("li", {
      className: "sui-ThumbnailList-item",
      key: index
    }, React.createElement(ThumbnailBasic, {
      alt: item.alt,
      captionText: captionText,
      fallback: fallback,
      href: item.href,
      imgSources: item.sources,
      onClick: function onClick(ev) {
        return _onClick(ev, index);
      },
      placeholder: placeholder,
      src: item.src,
      target: target,
      rounded: rounded
    }));
  }));
};

ThumbnailList.displayName = 'ThumbnailList';
export default ThumbnailList;